clang 8.0.0

Functions
SemaCXXScopeSpec.cpp File Reference
`#include "TypeLocBuilder.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/NestedNameSpecifier.h"`
`#include "clang/Basic/PartialDiagnostic.h"`
`#include "clang/Sema/DeclSpec.h"`
`#include "clang/Sema/Lookup.h"`
`#include "clang/Sema/SemaInternal.h"`
`#include "clang/Sema/Template.h"`
`#include "llvm/ADT/STLExtras.h"`
Include dependency graph for SemaCXXScopeSpec.cpp:

Go to the source code of this file.

## Functions
static CXXRecordDecl * | getCurrentInstantiationOf (QualType T, DeclContext *CurContext)
| Find the current instantiation that associated with the given type. More...

## Function Documentation

## ◆ getCurrentInstantiationOf()

static CXXRecordDecl* getCurrentInstantiationOf | ( | QualType | T,
|  | DeclContext * | CurContext
| ) |  |
| static

Find the current instantiation that associated with the given type.

Definition at line 28 of file SemaCXXScopeSpec.cpp.

References clang::Type::getCanonicalTypeInternal(), clang::QualType::getTypePtr(), clang::CXXRecordDecl::isCurrentInstantiation(), clang::DeclContext::isDependentContext(), and clang::QualType::isNull().

Referenced by clang::Sema::ActOnFinishFullExpr(), clang::Sema::computeDeclContext(), and clang::Sema::getCurrentInstantiationOf().